Bug 811891 - [abrt] libvirt-client-0.9.10-3.fc17: esxConnectToHost: Process /usr/bin/virsh was killed by signal 11 (SIGSEGV)
[abrt] libvirt-client-0.9.10-3.fc17: esxConnectToHost: Process /usr/bin/virsh...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
abrt_hash:0f43ad45a507c8d509710da1930...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 05:02 EDT by Filip Skola
Modified: 2016-05-05 00:40 EDT (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.9.11.3-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 16:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.45 KB, text/plain)
2012-04-12 05:02 EDT, Filip Skola
no flags Details
File: maps (27.49 KB, text/plain)
2012-04-12 05:02 EDT, Filip Skola
no flags Details
File: dso_list (8.22 KB, text/plain)
2012-04-12 05:02 EDT, Filip Skola
no flags Details

  None (edit)
Description Filip Skola 2012-04-12 05:02:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        virsh -c esx://dhcp-0-148?no_verify=1
crash_function: esxConnectToHost
executable:     /usr/bin/virsh
kernel:         3.3.0-8.fc17.x86_64
pid:            5227
pwd:            /home/fskola/ISV/vmware/steps
remote_result:  NOTFOUND
time:           Út 10. duben 2012, 13:33:29 CEST
uid:            1000
username:       fskola

backtrace:      Text file, 69065 bytes
dso_list:       Text file, 8421 bytes
maps:           Text file, 28151 bytes

build_ids:
:bc85675c88776b497f5b8b4b287ed102e10d41a4
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:99652f3a506c1318df975b58b394d4e863370633
:45e0014c86f9c5707b728cec9485c036cf17aed7
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:d8e9047097c904744a0c96768ebd987cbe48516f
:35d5cb7ae00118434736eab6ed96578e774a2335
:664ed02205756e404bd2c47242bfa068fe47d85d
:d2f6b6a2125b0c360462ce6b6b7de8144e351da1
:1269d1e5d9e60a9b0cb72efb4e067e315ced8f0c
:480ab8eb1776770bb90f2a47cc2f0258848f1cdd
:3bf2fdd22eec3652e13474e7415167d3fb22babc
:1dbdd7285d8ea90facc5a569d965c2d86e0330de
:b42c8ac5b863e0a80b3a8c0dcfb964b3146081ac
:4d6188ea4e7fcc259d17377b74ebebfb00a29ac0
:43ff5c6ac32fdbb249c0738b601d80522e7ff9c8
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:3e50a42f7e85c27f3490c219749dfa2ecc14f6a5
:8cf3e684e779b7979e9b46311f7e460fb3d9b036
:175d07c8f14b0ec8f4a3b9fde47ef53081bb984d
:b85e7d178517ee765658e1be97e4d06fe4b9f334
:c33078ce2af3b19c35d4e80fe94be13287ebbaf8
:4504beabd434c4e335d484b890a6adf1f8d995f6
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:350920b52e92655cdb258fa5f96fe7004ad07a52
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:70f10a584fcf32ef4994cc1bc209964515ad49c9
:ae79bf2681baf3a7f6e71fedfefc7ef169a3f68d
:84412c611d67c86ac370aea818f9a2e77fd003c4
:10818e21ba84b6897ec8d7ed3db9e94c71a12e41
:791e9fed430d39a1d545c9dc2341b6f32c50702c
:5f038f3fb1b1571769e7c9b79e025fe328052950
:9946c7b0bf3af7df37669b44eb6d73e5f860a17c
:63651cdc0224824a9c9324c77c3b5887378e871d
:a7c425441a5008369d4a8a3e1238dcde3f6d99c9
:adb8cce623092da5c6812cf4e20b6f97e3ebd5b1
:7feb6166463dadfb8c7504ecea68bfad514ad2db
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:3574b869a5fbab004bc6d66b4fd164440fdfd942
:822e9b3523e8312240f41a25722d539bc77ed436
:8f1c8e7a9290087a1de608de917e41455f885af0
:ed23fef3e5b34811753bba8f500c2ac05c17a18e
:319cdef60fb38ea411fb398b608189e006d365e7
:5da8d295014010dcaf44014dbeb291b3026af3e7
:08deea6f28314f7b1bbba69e81a25b9e48647b5f
:f52d26743ca3b03ad1caf331c0a5538b39ff64a1
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:7e1c87b6e36e94ecdd0a3ba2998c3da6191017b8
:bdeef99c03257f7d05bd5eb08af2e22a68635a50
:11d196ee9220c6039404f4ba675abf3a24d8f0aa
:512fa4dcc9458e7b304462332e62802b4ab3184a
:4704584aab4ea46bad213bcacfa2734aaf4b2a4c
:98b5af80be37aa2fc16069cc5c7095e0c4f0f844
:d804f8ee47797da9213a92f00cd095ecada8d79f
:43e802edbd186e29d41682d64c96cb992b659094
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:d29489f5262f513cfe15d381fff29a18dc759deb
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:13718b5000238cc2421cc0ad9d3ba8a6e6bf8a00
:904362a4a9286a24a4c21e319bd88a154eb6e651
:75907b4ad79e1610574fc3b86ac3f8266835c1a5
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:6f2ff4e6a028c4518c441caeb0f433bea79ac545
:e3d1166e1c18d61398367732e35aa7564fab51b4
:36b44cb9b031a0994ccdf2039a4baf221a0f00d6
:dc180d4c4e245433416c83c6ad203eafdef956ee
:a27ad86b60f50e96117f7d55a8605e5e4d3efecc

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/fskola/2

comment:
:libvirt-client got SIGSEGV when connecting to remote vmware esxi server:
:
:$ virsh -c esx://dhcp-25-66?no_verify=1
:WARNING: gnome-keyring:: couldn't connect to: /run/user/fskola/keyring-2QIUG0/pkcs11: No such file or directory
:Enter username for dhcp-25-66 [root]: 
:Enter root's password for dhcp-25-66: 
:Segmentation fault (core dumped)
:
:The problem appears even when invalid password is entered.
:
:Fedora 17 Beta RC4
:libvirt-client-0.9.11-1.fc17.x86_64

core_backtrace:
:ae79bf2681baf3a7f6e71fedfefc7ef169a3f68d 0x1dd15a - libvirt.so.0 -
:ae79bf2681baf3a7f6e71fedfefc7ef169a3f68d 0xd676d - libvirt.so.0 -
:ae79bf2681baf3a7f6e71fedfefc7ef169a3f68d 0xd82f9 virConnectOpenAuth libvirt.so.0 -
:b42c8ac5b863e0a80b3a8c0dcfb964b3146081ac 0xacc2 - [exe] -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1495
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=queeg
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/fskola/.gtkrc-2.0:/home/fskola/.gtkrc-2.0-kde4:/home/fskola/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.57
:PERL5LIB=/home/fskola/perl5/lib/perl5/x86_64-linux-thread-multi:/home/fskola/perl5/lib/perl5
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/fskola/.gtkrc:/home/fskola/.kde/share/config/gtkrc
:WINDOWID=8388701
:GNOME_KEYRING_CONTROL=/home/fskola/.cache/keyring-ShHsBZ
:SHELL_SESSION_ID=2ebb249748e04000accb25cb5e78a2d3
:'PERL_MB_OPT=--install_base /home/fskola/perl5'
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=fskola
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-jrLPCvlG1345/agent.1345
:USERNAME=fskola
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1579,unix/unix:/tmp/.ICE-unix/1579
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/fskola
:PATH=/home/fskola/perl5/bin:/home/fskola/perl5/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/fskola/.local/bin:/home/fskola/bin
:QT_IM_MODULE=xim
:PWD=/home/fskola/ISV/vmware/steps
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:LANG=cs_CZ.UTF-8
:GNOME_KEYRING_PID=1339
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/6
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/fskola
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:PERL_LOCAL_LIB_ROOT=/home/fskola/perl5
:LOGNAME=fskola
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3P3RynpUwA,guid=d168f2177aa37adb40b776d400000044
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/fskola
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/fskola/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:PERL_MM_OPT=INSTALL_BASE=/home/fskola/perl5
:XAUTHORITY=/tmp/kde-fskola/xauth-1000-_0
:_=/usr/bin/virsh

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29875                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29875                29875                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/6
:pos:	0
:flags:	0100002
:1:/dev/pts/6
:pos:	0
:flags:	0100002
:2:/dev/pts/6
:pos:	0
:flags:	0100002
:3:/dev/urandom
:pos:	0
:flags:	02100000
:4:pipe:[152240]
:pos:	0
:flags:	02004000
:5:pipe:[152240]
:pos:	0
:flags:	02004001

smolt_data:
:
:
:Obecné
:=================================
:UUID: 33d5f95a-d421-4e25-bdd1-2002762bbfc2
:OS: Fedora release 17 (Beefy Miracle)
:Výchozí startovací úroveň: Unknown
:Jazyk: cs_CZ.UTF-8
:Platfoma: x86_64
:BogoMIPS: 5054.22
:Výrobce CPU: GenuineIntel
:Model CPU: Intel(R) Core(TM) i5 CPU       M 540  @ 2.53GHz
:CPU Stepping: 2
:CPU Family: 6
:Číslo modelu CPU: 37
:Počet CPU: 2
:Rychlost CPU: 2534
:Systémová paměť: 3753
:Systémový odkládací prostor: 5789
:Výrobce: LENOVO
:Systém: 2537CT4 ThinkPad T410
:Formát desky: Notebook
:Jádro: 3.3.1-3.fc17.x86_64
:SELinux povolen: 1
:SELinux politika: targeted
:SELinux vynucen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Zařízení
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:
:
:Informace o souborovém systému
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-9ad8d981-8ffb-481d-a5ea-98572b30a4ef / ext4 4096 4096 3830073 1105423 913257 960992 719390 719390
:/dev/sda1 /boot ext4 1024 1024 508745 410742 385142 128016 127787 127787
:/dev/mapper/luks-a3916b25-414c-4a48-a2d1-f8190a1edd85 /home ext4 4096 4096 72603900 60704483 57070124 18178048 18148497 18148497
:

var_log_messages:
:Apr 10 13:33:29 queeg kernel: [ 6068.165568] virsh[5227]: segfault at 18 ip 00007f050797815a sp 00007fff06b0a200 error 4 in libvirt.so.0.9.11[7f050779b000+2c7000]
:Apr 10 13:33:30 queeg abrt[5229]: Saved core dump of pid 5227 (/usr/bin/virsh) to /var/spool/abrt/ccpp-2012-04-10-13:33:29-5227 (10530816 bytes)
Comment 1 Filip Skola 2012-04-12 05:02:42 EDT
Created attachment 577004 [details]
File: backtrace
Comment 2 Filip Skola 2012-04-12 05:02:45 EDT
Created attachment 577005 [details]
File: maps
Comment 3 Filip Skola 2012-04-12 05:02:48 EDT
Created attachment 577006 [details]
File: dso_list
Comment 4 Cole Robinson 2012-04-26 16:34:22 EDT
Fixed in upstream commit b126715a48cd0cbe32ec6468c267cd8cf2961c55
Comment 5 Fedora Update System 2012-04-30 10:47:58 EDT
libvirt-0.9.11.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.3-1.fc17
Comment 6 Fedora Update System 2012-04-30 14:48:33 EDT
Package libvirt-0.9.11.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.11.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6964/libvirt-0.9.11.3-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-02 16:55:53 EDT
libvirt-0.9.11.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.